summaryrefslogtreecommitdiffstats
path: root/scripts-ada/mkbspspec.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts-ada/mkbspspec.in')
-rw-r--r--scripts-ada/mkbspspec.in62
1 files changed, 62 insertions, 0 deletions
diff --git a/scripts-ada/mkbspspec.in b/scripts-ada/mkbspspec.in
new file mode 100644
index 0000000000..02edf02dc8
--- /dev/null
+++ b/scripts-ada/mkbspspec.in
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+
+RTEMS_DIR=`dirname $0`/@top_srcdir@
+RTEMS_VERSION=@RTEMS_VERSION@
+
+CFG=setup.cache
+dst=@RPM_SPECSdir@
+exe_ext=@EXEEXT@
+
+usage()
+{
+ echo "$0 [options] <target_alias> <bsp>"
+ echo " options:"
+ echo " -cfg <setup.cache>"
+ echo " -o <rpm-spec-dir>"
+ exit 1 ;
+}
+
+while test $# -ge 3; do
+case $1 in
+-cfg)
+ shift
+ CFG=$1
+ shift
+ ;;
+-o)
+ shift
+ dst=$1
+ shift
+ ;;
+-*)
+ echo "invalid option $1";
+ usage
+ ;;
+esac
+done
+
+if test ! $# -eq 2;
+then
+ echo "Invalid number of arguments"
+ usage
+fi
+
+# target to build for
+target_alias=$1
+bsp=$2
+
+. ./$CFG
+
+specfile=${dst}/$target_alias-$bsp-${rtems_version}.spec
+
+sed -e "s%@Release@%${rtems_rpm_release}%g" \
+ -e "s%@bsp@%${bsp}%g" \
+ -e "s%@rtems_version@%${rtems_version}%g" \
+ -e "s%@rpm_build_root@%${rpm_build_root}%g" \
+ -e "s%@target_alias@%${target_alias}%g" \
+ -e "s%@exe_ext@%${exe_ext}%g" \
+< ${RTEMS_DIR}/rtems/rtems.spec.in \
+> ${specfile}
+
+echo Generated ${specfile}